Debian Bug report logs - #551858
ITP: eclipse-emf -- Eclipse Modeling Framework and code generation facility

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Koch <thomas@koch.ro>

Date: Wed, 21 Oct 2009 09:12:02 UTC

Owned by: Niels Thykier <niels@thykier.net>

Severity: wishlist

Fixed in version eclipse-emf/2.5.0-1

Done: Benjamin Drung <bdrung@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, thomas@koch.ro, <wnpp@debian.org>:
Bug#551858; Package wnpp. (Wed, 21 Oct 2009 09:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Koch <thomas@koch.ro>:
New Bug report received and forwarded. Copy sent to thomas@koch.ro, <wnpp@debian.org>. (Wed, 21 Oct 2009 09:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: eclipse-emf -- Eclipse Modeling Framework and code generation facility for building tools based on a structured data model
Date: Wed, 21 Oct 2009 11:00:14 +0200
Package: wnpp
Severity: wishlist


* Package name    : eclipse-emf
  Version         : >=2.5.0
  Upstream Author : see: http://www.eclipse.org/modeling/emf/eclipse-project-ip-log.php
* URL             : http://www.eclipse.org/modeling/emf/
* License         : Eclipse Public License Version 1.0 ("EPL")
  Programming Lang: Java
  Description     : Eclipse Modeling Framework and code generation facility for building tools based on a structured data model

The EMF project is a modeling framework and code generation facility for
building tools and other applications based on a structured data model.
>From a model specification described in XMI, EMF provides tools and
runtime support to produce a set of Java classes for the model, along
with a set of adapter classes that enable viewing and command-based
editing of the model, and a basic editor.

EMF builds include XML Schema Definition (XSD), now a component of the
Model Development Tools (MDT) project, and an EMF-based implementation
of Service Data Objects (SDO). XSD provides a model and API for
manipulating components of an XML Schema, with access to the underlying
DOM representation of the schema document.

Other subprojects, such as Model Query, Model Transaction, and
Validation Framework, are available separately. 




Owner recorded as Niels Thykier <niels@thykier.net>. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Wed, 21 Oct 2009 11:00:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: eclipse-emf -- Eclipse Modeling Framework and code generation facility' from 'RFP: eclipse-emf -- Eclipse Modeling Framework and code generation facility for building tools based on a structured data model' Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Wed, 21 Oct 2009 11:00:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: eclipse-emf -- Eclipse Modeling Framework and code generation facility' from 'ITP: eclipse-emf -- Eclipse Modeling Framework and code generation facility' Request was from Riccardo Stagni <unriccio@email.it> to control@bugs.debian.org. (Wed, 16 Dec 2009 16:21:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 12 Jun 2010 20:06:08 GMT) Full text and rfc822 format available.

Reply sent to Benjamin Drung <bdrung@ubuntu.com>:
You have taken responsibility. (Sun, 27 Jun 2010 11:03:07 GMT) Full text and rfc822 format available.

Notification sent to Thomas Koch <thomas@koch.ro>:
Bug acknowledged by developer. (Sun, 27 Jun 2010 11:03:07 GMT) Full text and rfc822 format available.

Message #18 received at 551858-close@bugs.debian.org (full text, mbox):

From: Benjamin Drung <bdrung@ubuntu.com>
To: 551858-close@bugs.debian.org
Subject: Bug#551858: fixed in eclipse-emf 2.5.0-1
Date: Sun, 27 Jun 2010 11:02:31 +0000
Source: eclipse-emf
Source-Version: 2.5.0-1

We believe that the bug you reported is fixed in the latest version of
eclipse-emf, which is due to be installed in the Debian FTP archive:

eclipse-emf-examples_2.5.0-1_all.deb
  to main/e/eclipse-emf/eclipse-emf-examples_2.5.0-1_all.deb
eclipse-emf-sdk_2.5.0-1_all.deb
  to main/e/eclipse-emf/eclipse-emf-sdk_2.5.0-1_all.deb
eclipse-emf_2.5.0-1.debian.tar.gz
  to main/e/eclipse-emf/eclipse-emf_2.5.0-1.debian.tar.gz
eclipse-emf_2.5.0-1.dsc
  to main/e/eclipse-emf/eclipse-emf_2.5.0-1.dsc
eclipse-emf_2.5.0-1_all.deb
  to main/e/eclipse-emf/eclipse-emf_2.5.0-1_all.deb
eclipse-emf_2.5.0.orig.tar.bz2
  to main/e/eclipse-emf/eclipse-emf_2.5.0.orig.tar.bz2
eclipse-xsd-sdk_2.5.0-1_all.deb
  to main/e/eclipse-emf/eclipse-xsd-sdk_2.5.0-1_all.deb
eclipse-xsd_2.5.0-1_all.deb
  to main/e/eclipse-emf/eclipse-xsd_2.5.0-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 551858@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Benjamin Drung <bdrung@ubuntu.com> (supplier of updated eclipse-emf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 11 Jun 2010 11:34:33 +0200
Source: eclipse-emf
Binary: eclipse-emf eclipse-emf-examples eclipse-emf-sdk eclipse-xsd eclipse-xsd-sdk
Architecture: source all
Version: 2.5.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Benjamin Drung <bdrung@ubuntu.com>
Description: 
 eclipse-emf - Eclipse Modeling Framework (EMF)
 eclipse-emf-examples - Eclipse EMF/XSD examples
 eclipse-emf-sdk - Eclipse Modeling Framework (EMF) - (Source/Documentation)
 eclipse-xsd - XML Schema Definition (XSD) for Eclipse
 eclipse-xsd-sdk - XML Schema Definition (XSD) for Eclipse - (Source/Documentation)
Closes: 551858
Changes: 
 eclipse-emf (2.5.0-1) unstable; urgency=low
 .
   * Initial release. (Closes: #551858)
Checksums-Sha1: 
 79b36b7c71d994b20923b4d14cf8b4ce36955c89 1476 eclipse-emf_2.5.0-1.dsc
 dc2c64af88fed86a05f4e56cfb89486e84725714 6870728 eclipse-emf_2.5.0.orig.tar.bz2
 c5f1cb5c06ff4db7116cd48992719fe1a2995850 12078 eclipse-emf_2.5.0-1.debian.tar.gz
 283875e5adfa9e6399c6e8efe6f04457e1b7e457 4423494 eclipse-emf_2.5.0-1_all.deb
 28a99edaec8ef4ad29b4a5b4c8a3af968177cbd0 697400 eclipse-emf-examples_2.5.0-1_all.deb
 7d1efb1a75c8fa8044090f1ddeb6e5085aa23734 15886296 eclipse-emf-sdk_2.5.0-1_all.deb
 ab2cfc896c637956014ff79a5a4487878c3676b5 1311258 eclipse-xsd_2.5.0-1_all.deb
 5146c702cd0036cfc864cc30f02b8a40f8bf54cd 5702092 eclipse-xsd-sdk_2.5.0-1_all.deb
Checksums-Sha256: 
 71d2a89931bbe752e718471558d8d502ea0ac6a3b0fdc8da12033e450d9e4b8b 1476 eclipse-emf_2.5.0-1.dsc
 84948a6f54d6c913a4829645ef93679fff2cd37b3a1d0d37fee5d14b6efa4595 6870728 eclipse-emf_2.5.0.orig.tar.bz2
 1a11e95951ec532a848381b9272fed95eff837e62884e6f578b73d4a2a608c93 12078 eclipse-emf_2.5.0-1.debian.tar.gz
 c26f75d9ce7c4b9f33d656c908029b2ed24f940a076874a473a621e0e0cc8202 4423494 eclipse-emf_2.5.0-1_all.deb
 f6a2f25670629b7c0015156463326591acb2836b630046860f04c0b2b7c02d7d 697400 eclipse-emf-examples_2.5.0-1_all.deb
 a274cec7c19433cd3b92e0a2acce6ee233ca7124765b845a0b80dedfff72b130 15886296 eclipse-emf-sdk_2.5.0-1_all.deb
 5f74dc5a4e73e24cde682b193e1a8a0779199df17637e3296bea06cb8e224310 1311258 eclipse-xsd_2.5.0-1_all.deb
 ccd5a899e57ac86651d5311131d5de4c088050a328c3b14295ea2f5682617d8f 5702092 eclipse-xsd-sdk_2.5.0-1_all.deb
Files: 
 a31924776be6159a07350f5ba8236618 1476 java optional eclipse-emf_2.5.0-1.dsc
 e4f20c18a352d11f8f122272ef43353b 6870728 java optional eclipse-emf_2.5.0.orig.tar.bz2
 52f9562b35f834a5b2771598138b4ec5 12078 java optional eclipse-emf_2.5.0-1.debian.tar.gz
 c4bb8c1b462540a9b9c3ec9ea5265780 4423494 java optional eclipse-emf_2.5.0-1_all.deb
 28d07ea399d8bedf4dd838e25ff4fda0 697400 java optional eclipse-emf-examples_2.5.0-1_all.deb
 26c2a5f828db13b92b9142571c15ca5b 15886296 java optional eclipse-emf-sdk_2.5.0-1_all.deb
 1594c275e46ab7414d770ce13a8c86be 1311258 java optional eclipse-xsd_2.5.0-1_all.deb
 719998ee4bd9a6a141f93dee6b3438cf 5702092 java optional eclipse-xsd-sdk_2.5.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwTbIoACgkQfY3dicTPjsNkzwCfV0iY+NscX0ss8vdjrc6/VJ9s
j4UAn2pfK0hGcbWieN3u5IK0PrsRJprG
=BVAJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 26 Jul 2010 07:35:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:00:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.